import React from "react";
import TwJsonEditor from "src/0components/0comp/jsonEditor";
interface IProp {
    parent: any;
    show: boolean;
    readOnly: boolean;
}
export default class FormView extends React.Component<IProp> {
    state: {
        visible: boolean;
        visibleExport: boolean;
        visibleEdit: boolean;
        input: string;
        exportOrEditJson: {};
    };
    refImport: React.RefObject<TwJsonEditor>;
    refEditor: React.RefObject<TwJsonEditor>;
    getSaveInfo: (save?: boolean) => any;
    renderExport(): React.JSX.Element;
    renderImport(): React.JSX.Element;
    handleSaveImport(json: any): void;
    renderEdit(): React.JSX.Element;
    getParent(): any;
    handleExport(): void;
    render(): React.JSX.Element;
}
export {};
